# PHTML::Heading Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Heading:

List of all members.

## Public Member Functions

| Heading (int number, int sequence=0, int skip=0, const char *attr=NULL)
| Heading (int number, const char *image, int sequence=0, int skip=0, const char *attr=NULL)
| Heading (int number, const PString &imageStr, int sequence=0, int skip=0, const char *attr=NULL)
virtual | ~Heading ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::Heading::Heading | ( | int | number,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Heading::Heading | ( | int | number,
|  | const char * | image,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Heading::Heading | ( | int | number,
|  | const PString & | imageStr,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::Heading::~Heading | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::Heading::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::Element.

The documentation for this class was generated from the following file:

- html.h